#ifndef __HACKER_H__
#define __HACKER_H__

#include "enemy.h"

class hacker final: public enemy_base {
        static const int RAND_STR_LEN_MIN = 10;
        static const int RAND_STR_LEN_MAX = 30;
        static const int PRINT_CHAR_MIN   = 33;
        static const int PRINT_CHAR_MAX   = 126;
        std::string rand_str();
public:
        hacker(RNG *rng, const feature enabled_features, const position &pos,
               const int gen_room_num);
        const char *get_race_name() const override;
        long_result get_hit(character *ch, const int tATK,
                            const fraction &hit_rate) override;
};

#endif
